### Method

# Foundry BuildPipeline list_build_targets

#### Declaration [src]

    DexFuture*
    foundry_build_pipeline_list_build_targets (
      FoundryBuildPipeline* self
    )

#### Description [src]

Gets a list of build targets.

This list is dynamically populated. If you want to wait for all providers to complete use `foundry_list_model_await()` on the resulting `GListModel`.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryBuildTarget` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.